CH_TAP_IO_EVENTS(3)

FUNCTION
ch_tap_io_events - Register I/O tap function.

SYNOPSIS
#include <karma_ch.h>

KCallbackFunc ch_tap_io_events

(void (*tap_func) (), void *info)

DESCRIPTION
This routine will tap I/O events by calling a registered function whenever data is transferred to/from a disc, connection or FIFO channel. Reading and writing memory mapped or memory channels does *not* constitute an I/O event. Multiple tap functions may be registered, with the first one registered being the first one called upon a channel I/O event.

tap_func
    The function which is called when I/O occurs. The prototype function is <-ch_PROTO_tap_func->.

info
    The arbitrary information passed to the tap function. This may be NULL.

RETURN VALUE
A KCallbackFunc. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/